Skip to content
Start here

Refresh participant's authentication token

realtime_kit.meetings.refresh_participant_token(strparticipant_id, MeetingRefreshParticipantTokenParams**kwargs) -> MeetingRefreshParticipantTokenResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}/token

Regenerates participant's authentication token for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
participant_id: str
ReturnsExpand Collapse
class MeetingRefreshParticipantTokenResponse:
data: Data

Data returned by the operation

token: str

Regenerated participant's authentication token.

success: bool

Success status of the operation

Refresh participant's authentication token

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.refresh_participant_token(
    participant_id="participant_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)
{
  "data": {
    "token": "token"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "token": "token"
  },
  "success": true
}